<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Wizard Block page.
 *
 * @package    block
 * @subpackage low_sequence_list
 * @copyright  
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

/**
 * The Sequence List block class
 */
class block_low_sequence_list extends block_base {

    function init() {
        $this->title = "Learning Outcome Wizard Sequence List";
    }

    function instance_allow_multiple() {
        return true;
    }

    function has_config() {
        return false;
    }

    function applicable_formats() {
        return array('all' => true, 'my' => false, 'tag' => false);
    }

    function instance_allow_config() {
        return true;
    }

    function get_content() {
        global $CFG;

    if ($this->content !== null) {
      return $this->content;
    }
    
    $this->content         =  new stdClass;
    
    require_once($CFG->dirroot . '/blocks/low_wizard/lib.php');
	
	$text = ' ';
	
	$text .= '<div class="newlink"><a href="'.$CFG->wwwroot.'/blocks/low_sequence_list/sequence_list.php?id=1">Change available Learning Outcomes</a>...</div><br>';
	
    $this->content->text .= $text;
    
    return $this->content;
  }
}
